/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.submit.filters;

import org.apache.log4j.Logger;

import com.eviware.soapui.impl.wsdl.WsdlRequest;
import com.eviware.soapui.impl.wsdl.submit.RequestFilter;
import com.eviware.soapui.model.iface.SubmitContext;
import com.eviware.soapui.model.project.EndpointStrategy;

/**
 * RequestFilter for stripping whitespaces
 * 
 * @author Ole.Matzura
 */

public class EndpointStrategyRequestFilter implements RequestFilter
{
	private final static Logger log = Logger.getLogger(PropertyExpansionRequestFilter.class);
	
	public void filterRequest(SubmitContext context, WsdlRequest wsdlRequest)
	{
		EndpointStrategy endpointStrategy = wsdlRequest.getOperation().getInterface().getProject().getEndpointStrategy();
		if( endpointStrategy != null )
			endpointStrategy.filterRequest( context, wsdlRequest );
	}
}
